commit:     4933c3aa36b15cb369014552e50cd1a2d720fd68
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 29 15:28:42 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 29 15:31:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4933c3aa

sys-devel/make: add 9999

Desirable for make --shuffle [0][1].

[0] https://trofi.github.io/posts/238-new-make-shuffle-mode.html
[1] https://trofi.github.io/posts/249-an-update-on-make-shuffle.html
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-devel/make/make-4.3.ebuild                     | 28 +++++++++++++++++--
 .../make/{make-4.3.ebuild => make-9999.ebuild}     | 32 ++++++++++++++++++----
 2 files changed, 52 insertions(+), 8 deletions(-)

diff --git a/sys-devel/make/make-4.3.ebuild b/sys-devel/make/make-4.3.ebuild
index 50caf0365bb0..e924bf762998 100644
--- a/sys-devel/make/make-4.3.ebuild
+++ b/sys-devel/make/make-4.3.ebuild
@@ -8,9 +8,12 @@ inherit flag-o-matic verify-sig
 
 DESCRIPTION="Standard tool to compile source trees"
 HOMEPAGE="https://www.gnu.org/software/make/make.html";
-if [[ "$(ver_cut 3)" -ge 90 ]] ; then
-       SRC_URI="https://alpha.gnu.org/gnu//make/${P}.tar.gz";
-       SRC_URI+=" verify-sig? ( 
https://alpha.gnu.org/gnu//make/${P}.tar.gz.sig )"
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://git.savannah.gnu.org/git/make.git";
+       inherit autotools git-r3
+elif [[ $(ver_cut 3) -ge 90 ]] ; then
+       SRC_URI="https://alpha.gnu.org/gnu/make/${P}.tar.gz";
+       SRC_URI+=" verify-sig? ( https://alpha.gnu.org/gnu/make/${P}.tar.gz.sig 
)"
 else
        SRC_URI="mirror://gnu//make/${P}.tar.gz"
        SRC_URI+=" verify-sig? ( mirror://gnu//make/${P}.tar.gz.sig )"
@@ -32,6 +35,25 @@ PATCHES=(
        "${FILESDIR}"/${PN}-4.2-default-cxx.patch
 )
 
+src_unpack() {
+       if [[ ${PV} == 9999 ]] ; then
+               git-r3_src_unpack
+
+               cd "${S}" || die
+               ./bootstrap || die
+       else
+               default
+       fi
+}
+
+src_prepare() {
+       default
+
+       if [[ ${PV} == 9999 ]] ; then
+               eautoreconf
+       fi
+}
+
 src_configure() {
        use static && append-ldflags -static
        local myeconfargs=(

diff --git a/sys-devel/make/make-4.3.ebuild b/sys-devel/make/make-9999.ebuild
similarity index 62%
copy from sys-devel/make/make-4.3.ebuild
copy to sys-devel/make/make-9999.ebuild
index 50caf0365bb0..c0a4aa6ff54a 100644
--- a/sys-devel/make/make-4.3.ebuild
+++ b/sys-devel/make/make-9999.ebuild
@@ -1,20 +1,23 @@
 # Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/make.asc
 inherit flag-o-matic verify-sig
 
 DESCRIPTION="Standard tool to compile source trees"
 HOMEPAGE="https://www.gnu.org/software/make/make.html";
-if [[ "$(ver_cut 3)" -ge 90 ]] ; then
-       SRC_URI="https://alpha.gnu.org/gnu//make/${P}.tar.gz";
-       SRC_URI+=" verify-sig? ( 
https://alpha.gnu.org/gnu//make/${P}.tar.gz.sig )"
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://git.savannah.gnu.org/git/make.git";
+       inherit autotools git-r3
+elif [[ $(ver_cut 3) -ge 90 ]] ; then
+       SRC_URI="https://alpha.gnu.org/gnu/make/${P}.tar.gz";
+       SRC_URI+=" verify-sig? ( https://alpha.gnu.org/gnu/make/${P}.tar.gz.sig 
)"
 else
        SRC_URI="mirror://gnu//make/${P}.tar.gz"
        SRC_URI+=" verify-sig? ( mirror://gnu//make/${P}.tar.gz.sig )"
-       KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc 
ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="GPL-3+"
@@ -32,6 +35,25 @@ PATCHES=(
        "${FILESDIR}"/${PN}-4.2-default-cxx.patch
 )
 
+src_unpack() {
+       if [[ ${PV} == 9999 ]] ; then
+               git-r3_src_unpack
+
+               cd "${S}" || die
+               ./bootstrap || die
+       else
+               default
+       fi
+}
+
+src_prepare() {
+       default
+
+       if [[ ${PV} == 9999 ]] ; then
+               eautoreconf
+       fi
+}
+
 src_configure() {
        use static && append-ldflags -static
        local myeconfargs=(

Reply via email to